<style>
    * { box-sizing: border-box; }
    :root{
        --header-height:20vh;
        --footer-height:15vh;
        --content-height: 75vh;
        --main-height: var(--content-height);
        --aside-height: var(--content-height);

        font-family: sans-serif;
    }
    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        overflow: hidden;
        background-color: #333333;
    }

    div.header ul li div.button 
    {
        float: left;
    }

    div.button {
        display: block;
        color: white;
        text-align: center;
        padding: 16px;
        text-decoration: none;
    }

    div.button:hover {
        background-color: #111111;
        cursor: pointer;
    }

    .container {
        display: flex;
        flex-wrap: wrap;
    }

    .column
    {
        border-style: solid;
        border-color: white;
        border-width: 4px;
    }

    h2 {
        text-align: center;
    }

    .header {
        width: 100%;
    }

    .menu {
        width: 20%;            
    }

    .main {
        border-left: solid gray 1px;
        border-right: solid gray 1px;
        padding: 1em;
        width: 60%;         
        text-align: justify;
        min-height: var(--main-height);       
    }

    .aside {
        width: 20%;   
        padding: 1em;      
    }

    .footer {
        width: 100%;
        color: white;
        background: #333333;
        padding: 1em;
        min-height: var(--footer-height);       
    }


    @media screen and (max-width: 900px) {
        :root{
            --content-height: 90vh;
        }
        .aside {
            width: 100%;      
            border-top: solid black 1px;
        }
        .menu {
            width: 30%;         
        }
        .main {
            width: 70%;         
            border-right: solid white 4px;
        }
    }

    @media screen and (max-width: 450px) {
        .main, .menu {
            width: 100%;         
            border: solid white 4px;
        }
    }
</style>
<script src="../Menu/ccm.menusl-1.0.0.js"></script>
<div class="container">
    <div class="header column">
        <h2>WWW-Navigator</h2>    
        <ul></ul>
    </div>
    <div class="menu column">
        <ul></ul>
    </div>
    <div class="main column"></div>
    <div class="aside column"></div>
    <div class="footer column">Dieses Programm dient dazu verschiedene Funktionalitäten von HTML, CSS und JavaScript für den Anwender leicht zugänglich zu machen.</div>
</div>